1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

ModSecurity (Nginx) 2.9.0-1

ModSecurity supplies an array of request filtering and other security features to Nginx.

Tags:
  1. sbagmeijer
    Compatible Linux Versions:
    • Fedora 19
    • Fedora 20
    • Fedora 21
    • Fedora 22
    • Scientific Linux 6
    • Scientific Linux 7
    • RHEL 6
    • RHEL 7
    • CentOS 6
    • CentOS 7
    • Oracle Linux 6
    • Oracle Linux 7
    Now available in my repository is: ulyaoth-nginx-modsecurity

    Nginx Version: 1.8.0
    Modules: GeoIP, SPDY

    How to install:
    Click on the "Download Now" button in the top to install my repository.

    and then:
    Stable Nginx with ModSecurity:
    Code:
    $ sudo yum install ulyaoth-nginx-modsecurity
    *IMPORTANT FOR RHEL 6*
    If use RHEL 6 you have to use EPEL for GeoIP to install:
    Code:
    $ sudo yum install https://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
    You also have to enable the optional repository to get all of the required packages:
    Code:
    $ sudo subscription-manager repos --enable=rhel-6-server-optional-rpms
    
    or
    
    $ sudo yum-config-manager --enable rhel-6-server-optional-rpms
    
    Github: (Source & Spec files)
    https://github.com/ulyaoth/repository

    Bug Reporting:
    https://github.com/ulyaoth/repository/issues

    [​IMG]

Recent Updates

  1. Updated with Nginx fix from GitHub.